-------------------------------------------------------------------------------
-- Product Note PN122
-- VHDL module used in the 'RTDS MMC SFP' project
-- Copyright imperix ltd, 2024
-- dev@imperix.ch
-------------------------------------------------------------------------------

library IEEE;
use IEEE.STD_LOGIC_1164.ALL;
use IEEE.NUMERIC_STD.ALL;

entity core_state_decoder is
    Port(
        CORE_STATE : IN std_logic_vector(1 downto 0);
        pwm_enabled : OUT std_logic;
        fault : OUT std_logic
    );
end core_state_decoder;

architecture Behavioral of core_state_decoder is

begin

    pwm_enabled <= '1' when (CORE_STATE = "10") else '0';
    fault <= '1' when (CORE_STATE = "00") else '0';

end Behavioral;
