-------------------------------------------------------------------------------
-- Product Note PN122
-- VHDL module used in the 'RTDS MMC SFP' project
-- Copyright imperix ltd, 2024
-- dev@imperix.ch
-------------------------------------------------------------------------------

library IEEE;
use IEEE.STD_LOGIC_1164.ALL;
use IEEE.NUMERIC_STD.ALL;

entity reg_32b_to_16b_66 is
    Port(
        din_000 : IN std_logic_vector(31 downto 0);
        din_001 : IN std_logic_vector(31 downto 0);
        din_002 : IN std_logic_vector(31 downto 0);
        din_003 : IN std_logic_vector(31 downto 0);
        din_004 : IN std_logic_vector(31 downto 0);
        din_005 : IN std_logic_vector(31 downto 0);
        din_006 : IN std_logic_vector(31 downto 0);
        din_007 : IN std_logic_vector(31 downto 0);
        din_008 : IN std_logic_vector(31 downto 0);
        din_009 : IN std_logic_vector(31 downto 0);
        din_010 : IN std_logic_vector(31 downto 0);
        din_011 : IN std_logic_vector(31 downto 0);
        din_012 : IN std_logic_vector(31 downto 0);
        din_013 : IN std_logic_vector(31 downto 0);
        din_014 : IN std_logic_vector(31 downto 0);
        din_015 : IN std_logic_vector(31 downto 0);
        din_016 : IN std_logic_vector(31 downto 0);
        din_017 : IN std_logic_vector(31 downto 0);
        din_018 : IN std_logic_vector(31 downto 0);
        din_019 : IN std_logic_vector(31 downto 0);
        din_020 : IN std_logic_vector(31 downto 0);
        din_021 : IN std_logic_vector(31 downto 0);
        din_022 : IN std_logic_vector(31 downto 0);
        din_023 : IN std_logic_vector(31 downto 0);
        din_024 : IN std_logic_vector(31 downto 0);
        din_025 : IN std_logic_vector(31 downto 0);
        din_026 : IN std_logic_vector(31 downto 0);
        din_027 : IN std_logic_vector(31 downto 0);
        din_028 : IN std_logic_vector(31 downto 0);
        din_029 : IN std_logic_vector(31 downto 0);
        din_030 : IN std_logic_vector(31 downto 0);
        din_031 : IN std_logic_vector(31 downto 0);
        din_032 : IN std_logic_vector(31 downto 0);
        din_033 : IN std_logic_vector(31 downto 0);
        din_034 : IN std_logic_vector(31 downto 0);
        din_035 : IN std_logic_vector(31 downto 0);
        din_036 : IN std_logic_vector(31 downto 0);
        din_037 : IN std_logic_vector(31 downto 0);
        din_038 : IN std_logic_vector(31 downto 0);
        din_039 : IN std_logic_vector(31 downto 0);
        din_040 : IN std_logic_vector(31 downto 0);
        din_041 : IN std_logic_vector(31 downto 0);
        din_042 : IN std_logic_vector(31 downto 0);
        din_043 : IN std_logic_vector(31 downto 0);
        din_044 : IN std_logic_vector(31 downto 0);
        din_045 : IN std_logic_vector(31 downto 0);
        din_046 : IN std_logic_vector(31 downto 0);
        din_047 : IN std_logic_vector(31 downto 0);
        din_048 : IN std_logic_vector(31 downto 0);
        din_049 : IN std_logic_vector(31 downto 0);
        din_050 : IN std_logic_vector(31 downto 0);
        din_051 : IN std_logic_vector(31 downto 0);
        din_052 : IN std_logic_vector(31 downto 0);
        din_053 : IN std_logic_vector(31 downto 0);
        din_054 : IN std_logic_vector(31 downto 0);
        din_055 : IN std_logic_vector(31 downto 0);
        din_056 : IN std_logic_vector(31 downto 0);
        din_057 : IN std_logic_vector(31 downto 0);
        din_058 : IN std_logic_vector(31 downto 0);
        din_059 : IN std_logic_vector(31 downto 0);
        din_060 : IN std_logic_vector(31 downto 0);
        din_061 : IN std_logic_vector(31 downto 0);
        din_062 : IN std_logic_vector(31 downto 0);
        din_063 : IN std_logic_vector(31 downto 0);
        din_064 : IN std_logic_vector(31 downto 0);
        din_065 : IN std_logic_vector(31 downto 0);

        dout_000_A, dout_000_B : OUT std_logic_vector(15 downto 0);
        dout_001_A, dout_001_B : OUT std_logic_vector(15 downto 0);
        dout_002_A, dout_002_B : OUT std_logic_vector(15 downto 0);
        dout_003_A, dout_003_B : OUT std_logic_vector(15 downto 0);
        dout_004_A, dout_004_B : OUT std_logic_vector(15 downto 0);
        dout_005_A, dout_005_B : OUT std_logic_vector(15 downto 0);
        dout_006_A, dout_006_B : OUT std_logic_vector(15 downto 0);
        dout_007_A, dout_007_B : OUT std_logic_vector(15 downto 0);
        dout_008_A, dout_008_B : OUT std_logic_vector(15 downto 0);
        dout_009_A, dout_009_B : OUT std_logic_vector(15 downto 0);
        dout_010_A, dout_010_B : OUT std_logic_vector(15 downto 0);
        dout_011_A, dout_011_B : OUT std_logic_vector(15 downto 0);
        dout_012_A, dout_012_B : OUT std_logic_vector(15 downto 0);
        dout_013_A, dout_013_B : OUT std_logic_vector(15 downto 0);
        dout_014_A, dout_014_B : OUT std_logic_vector(15 downto 0);
        dout_015_A, dout_015_B : OUT std_logic_vector(15 downto 0);
        dout_016_A, dout_016_B : OUT std_logic_vector(15 downto 0);
        dout_017_A, dout_017_B : OUT std_logic_vector(15 downto 0);
        dout_018_A, dout_018_B : OUT std_logic_vector(15 downto 0);
        dout_019_A, dout_019_B : OUT std_logic_vector(15 downto 0);
        dout_020_A, dout_020_B : OUT std_logic_vector(15 downto 0);
        dout_021_A, dout_021_B : OUT std_logic_vector(15 downto 0);
        dout_022_A, dout_022_B : OUT std_logic_vector(15 downto 0);
        dout_023_A, dout_023_B : OUT std_logic_vector(15 downto 0);
        dout_024_A, dout_024_B : OUT std_logic_vector(15 downto 0);
        dout_025_A, dout_025_B : OUT std_logic_vector(15 downto 0);
        dout_026_A, dout_026_B : OUT std_logic_vector(15 downto 0);
        dout_027_A, dout_027_B : OUT std_logic_vector(15 downto 0);
        dout_028_A, dout_028_B : OUT std_logic_vector(15 downto 0);
        dout_029_A, dout_029_B : OUT std_logic_vector(15 downto 0);
        dout_030_A, dout_030_B : OUT std_logic_vector(15 downto 0);
        dout_031_A, dout_031_B : OUT std_logic_vector(15 downto 0);
        dout_032_A, dout_032_B : OUT std_logic_vector(15 downto 0);
        dout_033_A, dout_033_B : OUT std_logic_vector(15 downto 0);
        dout_034_A, dout_034_B : OUT std_logic_vector(15 downto 0);
        dout_035_A, dout_035_B : OUT std_logic_vector(15 downto 0);
        dout_036_A, dout_036_B : OUT std_logic_vector(15 downto 0);
        dout_037_A, dout_037_B : OUT std_logic_vector(15 downto 0);
        dout_038_A, dout_038_B : OUT std_logic_vector(15 downto 0);
        dout_039_A, dout_039_B : OUT std_logic_vector(15 downto 0);
        dout_040_A, dout_040_B : OUT std_logic_vector(15 downto 0);
        dout_041_A, dout_041_B : OUT std_logic_vector(15 downto 0);
        dout_042_A, dout_042_B : OUT std_logic_vector(15 downto 0);
        dout_043_A, dout_043_B : OUT std_logic_vector(15 downto 0);
        dout_044_A, dout_044_B : OUT std_logic_vector(15 downto 0);
        dout_045_A, dout_045_B : OUT std_logic_vector(15 downto 0);
        dout_046_A, dout_046_B : OUT std_logic_vector(15 downto 0);
        dout_047_A, dout_047_B : OUT std_logic_vector(15 downto 0);
        dout_048_A, dout_048_B : OUT std_logic_vector(15 downto 0);
        dout_049_A, dout_049_B : OUT std_logic_vector(15 downto 0);
        dout_050_A, dout_050_B : OUT std_logic_vector(15 downto 0);
        dout_051_A, dout_051_B : OUT std_logic_vector(15 downto 0);
        dout_052_A, dout_052_B : OUT std_logic_vector(15 downto 0);
        dout_053_A, dout_053_B : OUT std_logic_vector(15 downto 0);
        dout_054_A, dout_054_B : OUT std_logic_vector(15 downto 0);
        dout_055_A, dout_055_B : OUT std_logic_vector(15 downto 0);
        dout_056_A, dout_056_B : OUT std_logic_vector(15 downto 0);
        dout_057_A, dout_057_B : OUT std_logic_vector(15 downto 0);
        dout_058_A, dout_058_B : OUT std_logic_vector(15 downto 0);
        dout_059_A, dout_059_B : OUT std_logic_vector(15 downto 0);
        dout_060_A, dout_060_B : OUT std_logic_vector(15 downto 0);
        dout_061_A, dout_061_B : OUT std_logic_vector(15 downto 0);
        dout_062_A, dout_062_B : OUT std_logic_vector(15 downto 0);
        dout_063_A, dout_063_B : OUT std_logic_vector(15 downto 0);
        dout_064_A, dout_064_B : OUT std_logic_vector(15 downto 0);
        dout_065_A, dout_065_B : OUT std_logic_vector(15 downto 0)
    );
end reg_32b_to_16b_66;

architecture Behavioral of reg_32b_to_16b_66 is

    -- interface
    ATTRIBUTE X_INTERFACE_INFO : STRING;
    ATTRIBUTE X_INTERFACE_PARAMETER : STRING;

    ATTRIBUTE X_INTERFACE_INFO of din_000: SIGNAL is "imperix.ch:ix:user_regs_rtl:1.0 din reg_00";
    ATTRIBUTE X_INTERFACE_INFO of din_001: SIGNAL is "imperix.ch:ix:user_regs_rtl:1.0 din reg_01";
    ATTRIBUTE X_INTERFACE_INFO of din_002: SIGNAL is "imperix.ch:ix:user_regs_rtl:1.0 din reg_02";
    ATTRIBUTE X_INTERFACE_INFO of din_003: SIGNAL is "imperix.ch:ix:user_regs_rtl:1.0 din reg_03";
    ATTRIBUTE X_INTERFACE_INFO of din_004: SIGNAL is "imperix.ch:ix:user_regs_rtl:1.0 din reg_04";
    ATTRIBUTE X_INTERFACE_INFO of din_005: SIGNAL is "imperix.ch:ix:user_regs_rtl:1.0 din reg_05";
    ATTRIBUTE X_INTERFACE_INFO of din_006: SIGNAL is "imperix.ch:ix:user_regs_rtl:1.0 din reg_06";
    ATTRIBUTE X_INTERFACE_INFO of din_007: SIGNAL is "imperix.ch:ix:user_regs_rtl:1.0 din reg_07";
    ATTRIBUTE X_INTERFACE_INFO of din_008: SIGNAL is "imperix.ch:ix:user_regs_rtl:1.0 din reg_08";
    ATTRIBUTE X_INTERFACE_INFO of din_009: SIGNAL is "imperix.ch:ix:user_regs_rtl:1.0 din reg_09";
    ATTRIBUTE X_INTERFACE_INFO of din_010: SIGNAL is "imperix.ch:ix:user_regs_rtl:1.0 din reg_10";
    ATTRIBUTE X_INTERFACE_INFO of din_011: SIGNAL is "imperix.ch:ix:user_regs_rtl:1.0 din reg_11";
    ATTRIBUTE X_INTERFACE_INFO of din_012: SIGNAL is "imperix.ch:ix:user_regs_rtl:1.0 din reg_12";
    ATTRIBUTE X_INTERFACE_INFO of din_013: SIGNAL is "imperix.ch:ix:user_regs_rtl:1.0 din reg_13";
    ATTRIBUTE X_INTERFACE_INFO of din_014: SIGNAL is "imperix.ch:ix:user_regs_rtl:1.0 din reg_14";
    ATTRIBUTE X_INTERFACE_INFO of din_015: SIGNAL is "imperix.ch:ix:user_regs_rtl:1.0 din reg_15";
    ATTRIBUTE X_INTERFACE_INFO of din_016: SIGNAL is "imperix.ch:ix:user_regs_rtl:1.0 din reg_16";
    ATTRIBUTE X_INTERFACE_INFO of din_017: SIGNAL is "imperix.ch:ix:user_regs_rtl:1.0 din reg_17";
    ATTRIBUTE X_INTERFACE_INFO of din_018: SIGNAL is "imperix.ch:ix:user_regs_rtl:1.0 din reg_18";
    ATTRIBUTE X_INTERFACE_INFO of din_019: SIGNAL is "imperix.ch:ix:user_regs_rtl:1.0 din reg_19";
    ATTRIBUTE X_INTERFACE_INFO of din_020: SIGNAL is "imperix.ch:ix:user_regs_rtl:1.0 din reg_20";
    ATTRIBUTE X_INTERFACE_INFO of din_021: SIGNAL is "imperix.ch:ix:user_regs_rtl:1.0 din reg_21";
    ATTRIBUTE X_INTERFACE_INFO of din_022: SIGNAL is "imperix.ch:ix:user_regs_rtl:1.0 din reg_22";
    ATTRIBUTE X_INTERFACE_INFO of din_023: SIGNAL is "imperix.ch:ix:user_regs_rtl:1.0 din reg_23";
    ATTRIBUTE X_INTERFACE_INFO of din_024: SIGNAL is "imperix.ch:ix:user_regs_rtl:1.0 din reg_24";
    ATTRIBUTE X_INTERFACE_INFO of din_025: SIGNAL is "imperix.ch:ix:user_regs_rtl:1.0 din reg_25";
    ATTRIBUTE X_INTERFACE_INFO of din_026: SIGNAL is "imperix.ch:ix:user_regs_rtl:1.0 din reg_26";
    ATTRIBUTE X_INTERFACE_INFO of din_027: SIGNAL is "imperix.ch:ix:user_regs_rtl:1.0 din reg_27";
    ATTRIBUTE X_INTERFACE_INFO of din_028: SIGNAL is "imperix.ch:ix:user_regs_rtl:1.0 din reg_28";
    ATTRIBUTE X_INTERFACE_INFO of din_029: SIGNAL is "imperix.ch:ix:user_regs_rtl:1.0 din reg_29";
    ATTRIBUTE X_INTERFACE_INFO of din_030: SIGNAL is "imperix.ch:ix:user_regs_rtl:1.0 din reg_30";
    ATTRIBUTE X_INTERFACE_INFO of din_031: SIGNAL is "imperix.ch:ix:user_regs_rtl:1.0 din reg_31";
    ATTRIBUTE X_INTERFACE_INFO of din_032: SIGNAL is "imperix.ch:ix:user_regs_rtl:1.0 din reg_32";
    ATTRIBUTE X_INTERFACE_INFO of din_033: SIGNAL is "imperix.ch:ix:user_regs_rtl:1.0 din reg_33";
    ATTRIBUTE X_INTERFACE_INFO of din_034: SIGNAL is "imperix.ch:ix:user_regs_rtl:1.0 din reg_34";
    ATTRIBUTE X_INTERFACE_INFO of din_035: SIGNAL is "imperix.ch:ix:user_regs_rtl:1.0 din reg_35";
    ATTRIBUTE X_INTERFACE_INFO of din_036: SIGNAL is "imperix.ch:ix:user_regs_rtl:1.0 din reg_36";
    ATTRIBUTE X_INTERFACE_INFO of din_037: SIGNAL is "imperix.ch:ix:user_regs_rtl:1.0 din reg_37";
    ATTRIBUTE X_INTERFACE_INFO of din_038: SIGNAL is "imperix.ch:ix:user_regs_rtl:1.0 din reg_38";
    ATTRIBUTE X_INTERFACE_INFO of din_039: SIGNAL is "imperix.ch:ix:user_regs_rtl:1.0 din reg_39";
    ATTRIBUTE X_INTERFACE_INFO of din_040: SIGNAL is "imperix.ch:ix:user_regs_rtl:1.0 din reg_40";
    ATTRIBUTE X_INTERFACE_INFO of din_041: SIGNAL is "imperix.ch:ix:user_regs_rtl:1.0 din reg_41";
    ATTRIBUTE X_INTERFACE_INFO of din_042: SIGNAL is "imperix.ch:ix:user_regs_rtl:1.0 din reg_42";
    ATTRIBUTE X_INTERFACE_INFO of din_043: SIGNAL is "imperix.ch:ix:user_regs_rtl:1.0 din reg_43";
    ATTRIBUTE X_INTERFACE_INFO of din_044: SIGNAL is "imperix.ch:ix:user_regs_rtl:1.0 din reg_44";
    ATTRIBUTE X_INTERFACE_INFO of din_045: SIGNAL is "imperix.ch:ix:user_regs_rtl:1.0 din reg_45";
    ATTRIBUTE X_INTERFACE_INFO of din_046: SIGNAL is "imperix.ch:ix:user_regs_rtl:1.0 din reg_46";
    ATTRIBUTE X_INTERFACE_INFO of din_047: SIGNAL is "imperix.ch:ix:user_regs_rtl:1.0 din reg_47";
    ATTRIBUTE X_INTERFACE_INFO of din_048: SIGNAL is "imperix.ch:ix:user_regs_rtl:1.0 din reg_48";
    ATTRIBUTE X_INTERFACE_INFO of din_049: SIGNAL is "imperix.ch:ix:user_regs_rtl:1.0 din reg_49";
    ATTRIBUTE X_INTERFACE_INFO of din_050: SIGNAL is "imperix.ch:ix:user_regs_rtl:1.0 din reg_50";
    ATTRIBUTE X_INTERFACE_INFO of din_051: SIGNAL is "imperix.ch:ix:user_regs_rtl:1.0 din reg_51";
    ATTRIBUTE X_INTERFACE_INFO of din_052: SIGNAL is "imperix.ch:ix:user_regs_rtl:1.0 din reg_52";
    ATTRIBUTE X_INTERFACE_INFO of din_053: SIGNAL is "imperix.ch:ix:user_regs_rtl:1.0 din reg_53";
    ATTRIBUTE X_INTERFACE_INFO of din_054: SIGNAL is "imperix.ch:ix:user_regs_rtl:1.0 din reg_54";
    ATTRIBUTE X_INTERFACE_INFO of din_055: SIGNAL is "imperix.ch:ix:user_regs_rtl:1.0 din reg_55";
    ATTRIBUTE X_INTERFACE_INFO of din_056: SIGNAL is "imperix.ch:ix:user_regs_rtl:1.0 din reg_56";
    ATTRIBUTE X_INTERFACE_INFO of din_057: SIGNAL is "imperix.ch:ix:user_regs_rtl:1.0 din reg_57";
    ATTRIBUTE X_INTERFACE_INFO of din_058: SIGNAL is "imperix.ch:ix:user_regs_rtl:1.0 din reg_58";
    ATTRIBUTE X_INTERFACE_INFO of din_059: SIGNAL is "imperix.ch:ix:user_regs_rtl:1.0 din reg_59";
    ATTRIBUTE X_INTERFACE_INFO of din_060: SIGNAL is "imperix.ch:ix:user_regs_rtl:1.0 din reg_60";
    ATTRIBUTE X_INTERFACE_INFO of din_061: SIGNAL is "imperix.ch:ix:user_regs_rtl:1.0 din reg_61";
    ATTRIBUTE X_INTERFACE_INFO of din_062: SIGNAL is "imperix.ch:ix:user_regs_rtl:1.0 din reg_62";
    ATTRIBUTE X_INTERFACE_INFO of din_063: SIGNAL is "imperix.ch:ix:user_regs_rtl:1.0 din reg_63";
    ATTRIBUTE X_INTERFACE_INFO of din_064: SIGNAL is "imperix.ch:ix:user_regs_rtl:1.0 din reg_64";
    ATTRIBUTE X_INTERFACE_INFO of din_065: SIGNAL is "imperix.ch:ix:user_regs_rtl:1.0 din reg_65";

    ATTRIBUTE X_INTERFACE_INFO of dout_000_A: SIGNAL is "imperix.ch:ix:user_regs_rtl:1.0 dout  reg_00"; ATTRIBUTE X_INTERFACE_INFO of dout_000_B: SIGNAL is "imperix.ch:ix:user_regs_rtl:1.0 dout reg_01";
    ATTRIBUTE X_INTERFACE_INFO of dout_001_A: SIGNAL is "imperix.ch:ix:user_regs_rtl:1.0 dout  reg_02"; ATTRIBUTE X_INTERFACE_INFO of dout_001_B: SIGNAL is "imperix.ch:ix:user_regs_rtl:1.0 dout reg_03";
    ATTRIBUTE X_INTERFACE_INFO of dout_002_A: SIGNAL is "imperix.ch:ix:user_regs_rtl:1.0 dout  reg_04"; ATTRIBUTE X_INTERFACE_INFO of dout_002_B: SIGNAL is "imperix.ch:ix:user_regs_rtl:1.0 dout reg_05";
    ATTRIBUTE X_INTERFACE_INFO of dout_003_A: SIGNAL is "imperix.ch:ix:user_regs_rtl:1.0 dout  reg_06"; ATTRIBUTE X_INTERFACE_INFO of dout_003_B: SIGNAL is "imperix.ch:ix:user_regs_rtl:1.0 dout reg_07";
    ATTRIBUTE X_INTERFACE_INFO of dout_004_A: SIGNAL is "imperix.ch:ix:user_regs_rtl:1.0 dout  reg_08"; ATTRIBUTE X_INTERFACE_INFO of dout_004_B: SIGNAL is "imperix.ch:ix:user_regs_rtl:1.0 dout reg_09";
    ATTRIBUTE X_INTERFACE_INFO of dout_005_A: SIGNAL is "imperix.ch:ix:user_regs_rtl:1.0 dout  reg_10"; ATTRIBUTE X_INTERFACE_INFO of dout_005_B: SIGNAL is "imperix.ch:ix:user_regs_rtl:1.0 dout reg_11";
    ATTRIBUTE X_INTERFACE_INFO of dout_006_A: SIGNAL is "imperix.ch:ix:user_regs_rtl:1.0 dout  reg_12"; ATTRIBUTE X_INTERFACE_INFO of dout_006_B: SIGNAL is "imperix.ch:ix:user_regs_rtl:1.0 dout reg_13";
    ATTRIBUTE X_INTERFACE_INFO of dout_007_A: SIGNAL is "imperix.ch:ix:user_regs_rtl:1.0 dout  reg_14"; ATTRIBUTE X_INTERFACE_INFO of dout_007_B: SIGNAL is "imperix.ch:ix:user_regs_rtl:1.0 dout reg_15";
    ATTRIBUTE X_INTERFACE_INFO of dout_008_A: SIGNAL is "imperix.ch:ix:user_regs_rtl:1.0 dout  reg_16"; ATTRIBUTE X_INTERFACE_INFO of dout_008_B: SIGNAL is "imperix.ch:ix:user_regs_rtl:1.0 dout reg_17";
    ATTRIBUTE X_INTERFACE_INFO of dout_009_A: SIGNAL is "imperix.ch:ix:user_regs_rtl:1.0 dout  reg_18"; ATTRIBUTE X_INTERFACE_INFO of dout_009_B: SIGNAL is "imperix.ch:ix:user_regs_rtl:1.0 dout reg_19";
    ATTRIBUTE X_INTERFACE_INFO of dout_010_A: SIGNAL is "imperix.ch:ix:user_regs_rtl:1.0 dout  reg_20"; ATTRIBUTE X_INTERFACE_INFO of dout_010_B: SIGNAL is "imperix.ch:ix:user_regs_rtl:1.0 dout reg_21";
    ATTRIBUTE X_INTERFACE_INFO of dout_011_A: SIGNAL is "imperix.ch:ix:user_regs_rtl:1.0 dout  reg_22"; ATTRIBUTE X_INTERFACE_INFO of dout_011_B: SIGNAL is "imperix.ch:ix:user_regs_rtl:1.0 dout reg_23";
    ATTRIBUTE X_INTERFACE_INFO of dout_012_A: SIGNAL is "imperix.ch:ix:user_regs_rtl:1.0 dout  reg_24"; ATTRIBUTE X_INTERFACE_INFO of dout_012_B: SIGNAL is "imperix.ch:ix:user_regs_rtl:1.0 dout reg_25";
    ATTRIBUTE X_INTERFACE_INFO of dout_013_A: SIGNAL is "imperix.ch:ix:user_regs_rtl:1.0 dout  reg_26"; ATTRIBUTE X_INTERFACE_INFO of dout_013_B: SIGNAL is "imperix.ch:ix:user_regs_rtl:1.0 dout reg_27";
    ATTRIBUTE X_INTERFACE_INFO of dout_014_A: SIGNAL is "imperix.ch:ix:user_regs_rtl:1.0 dout  reg_28"; ATTRIBUTE X_INTERFACE_INFO of dout_014_B: SIGNAL is "imperix.ch:ix:user_regs_rtl:1.0 dout reg_29";
    ATTRIBUTE X_INTERFACE_INFO of dout_015_A: SIGNAL is "imperix.ch:ix:user_regs_rtl:1.0 dout  reg_30"; ATTRIBUTE X_INTERFACE_INFO of dout_015_B: SIGNAL is "imperix.ch:ix:user_regs_rtl:1.0 dout reg_31";
    ATTRIBUTE X_INTERFACE_INFO of dout_016_A: SIGNAL is "imperix.ch:ix:user_regs_rtl:1.0 dout  reg_32"; ATTRIBUTE X_INTERFACE_INFO of dout_016_B: SIGNAL is "imperix.ch:ix:user_regs_rtl:1.0 dout reg_33";
    ATTRIBUTE X_INTERFACE_INFO of dout_017_A: SIGNAL is "imperix.ch:ix:user_regs_rtl:1.0 dout  reg_34"; ATTRIBUTE X_INTERFACE_INFO of dout_017_B: SIGNAL is "imperix.ch:ix:user_regs_rtl:1.0 dout reg_35";
    ATTRIBUTE X_INTERFACE_INFO of dout_018_A: SIGNAL is "imperix.ch:ix:user_regs_rtl:1.0 dout  reg_36"; ATTRIBUTE X_INTERFACE_INFO of dout_018_B: SIGNAL is "imperix.ch:ix:user_regs_rtl:1.0 dout reg_37";
    ATTRIBUTE X_INTERFACE_INFO of dout_019_A: SIGNAL is "imperix.ch:ix:user_regs_rtl:1.0 dout  reg_38"; ATTRIBUTE X_INTERFACE_INFO of dout_019_B: SIGNAL is "imperix.ch:ix:user_regs_rtl:1.0 dout reg_39";
    ATTRIBUTE X_INTERFACE_INFO of dout_020_A: SIGNAL is "imperix.ch:ix:user_regs_rtl:1.0 dout  reg_40"; ATTRIBUTE X_INTERFACE_INFO of dout_020_B: SIGNAL is "imperix.ch:ix:user_regs_rtl:1.0 dout reg_41";
    ATTRIBUTE X_INTERFACE_INFO of dout_021_A: SIGNAL is "imperix.ch:ix:user_regs_rtl:1.0 dout  reg_42"; ATTRIBUTE X_INTERFACE_INFO of dout_021_B: SIGNAL is "imperix.ch:ix:user_regs_rtl:1.0 dout reg_43";
    ATTRIBUTE X_INTERFACE_INFO of dout_022_A: SIGNAL is "imperix.ch:ix:user_regs_rtl:1.0 dout  reg_44"; ATTRIBUTE X_INTERFACE_INFO of dout_022_B: SIGNAL is "imperix.ch:ix:user_regs_rtl:1.0 dout reg_45";
    ATTRIBUTE X_INTERFACE_INFO of dout_023_A: SIGNAL is "imperix.ch:ix:user_regs_rtl:1.0 dout  reg_46"; ATTRIBUTE X_INTERFACE_INFO of dout_023_B: SIGNAL is "imperix.ch:ix:user_regs_rtl:1.0 dout reg_47";
    ATTRIBUTE X_INTERFACE_INFO of dout_024_A: SIGNAL is "imperix.ch:ix:user_regs_rtl:1.0 dout  reg_48"; ATTRIBUTE X_INTERFACE_INFO of dout_024_B: SIGNAL is "imperix.ch:ix:user_regs_rtl:1.0 dout reg_49";
    ATTRIBUTE X_INTERFACE_INFO of dout_025_A: SIGNAL is "imperix.ch:ix:user_regs_rtl:1.0 dout  reg_50"; ATTRIBUTE X_INTERFACE_INFO of dout_025_B: SIGNAL is "imperix.ch:ix:user_regs_rtl:1.0 dout reg_51";
    ATTRIBUTE X_INTERFACE_INFO of dout_026_A: SIGNAL is "imperix.ch:ix:user_regs_rtl:1.0 dout  reg_52"; ATTRIBUTE X_INTERFACE_INFO of dout_026_B: SIGNAL is "imperix.ch:ix:user_regs_rtl:1.0 dout reg_53";
    ATTRIBUTE X_INTERFACE_INFO of dout_027_A: SIGNAL is "imperix.ch:ix:user_regs_rtl:1.0 dout  reg_54"; ATTRIBUTE X_INTERFACE_INFO of dout_027_B: SIGNAL is "imperix.ch:ix:user_regs_rtl:1.0 dout reg_55";
    ATTRIBUTE X_INTERFACE_INFO of dout_028_A: SIGNAL is "imperix.ch:ix:user_regs_rtl:1.0 dout  reg_56"; ATTRIBUTE X_INTERFACE_INFO of dout_028_B: SIGNAL is "imperix.ch:ix:user_regs_rtl:1.0 dout reg_57";
    ATTRIBUTE X_INTERFACE_INFO of dout_029_A: SIGNAL is "imperix.ch:ix:user_regs_rtl:1.0 dout  reg_58"; ATTRIBUTE X_INTERFACE_INFO of dout_029_B: SIGNAL is "imperix.ch:ix:user_regs_rtl:1.0 dout reg_59";
    ATTRIBUTE X_INTERFACE_INFO of dout_030_A: SIGNAL is "imperix.ch:ix:user_regs_rtl:1.0 dout  reg_60"; ATTRIBUTE X_INTERFACE_INFO of dout_030_B: SIGNAL is "imperix.ch:ix:user_regs_rtl:1.0 dout reg_61";
    ATTRIBUTE X_INTERFACE_INFO of dout_031_A: SIGNAL is "imperix.ch:ix:user_regs_rtl:1.0 dout  reg_62"; ATTRIBUTE X_INTERFACE_INFO of dout_031_B: SIGNAL is "imperix.ch:ix:user_regs_rtl:1.0 dout reg_63";
    ATTRIBUTE X_INTERFACE_INFO of dout_032_A: SIGNAL is "imperix.ch:ix:user_regs_rtl:1.0 dout  reg_64"; ATTRIBUTE X_INTERFACE_INFO of dout_032_B: SIGNAL is "imperix.ch:ix:user_regs_rtl:1.0 dout reg_65";
    ATTRIBUTE X_INTERFACE_INFO of dout_033_A: SIGNAL is "imperix.ch:ix:user_regs_rtl:1.0 dout  reg_66"; ATTRIBUTE X_INTERFACE_INFO of dout_033_B: SIGNAL is "imperix.ch:ix:user_regs_rtl:1.0 dout reg_67";
    ATTRIBUTE X_INTERFACE_INFO of dout_034_A: SIGNAL is "imperix.ch:ix:user_regs_rtl:1.0 dout  reg_68"; ATTRIBUTE X_INTERFACE_INFO of dout_034_B: SIGNAL is "imperix.ch:ix:user_regs_rtl:1.0 dout reg_69";
    ATTRIBUTE X_INTERFACE_INFO of dout_035_A: SIGNAL is "imperix.ch:ix:user_regs_rtl:1.0 dout  reg_70"; ATTRIBUTE X_INTERFACE_INFO of dout_035_B: SIGNAL is "imperix.ch:ix:user_regs_rtl:1.0 dout reg_71";
    ATTRIBUTE X_INTERFACE_INFO of dout_036_A: SIGNAL is "imperix.ch:ix:user_regs_rtl:1.0 dout  reg_72"; ATTRIBUTE X_INTERFACE_INFO of dout_036_B: SIGNAL is "imperix.ch:ix:user_regs_rtl:1.0 dout reg_73";
    ATTRIBUTE X_INTERFACE_INFO of dout_037_A: SIGNAL is "imperix.ch:ix:user_regs_rtl:1.0 dout  reg_74"; ATTRIBUTE X_INTERFACE_INFO of dout_037_B: SIGNAL is "imperix.ch:ix:user_regs_rtl:1.0 dout reg_75";
    ATTRIBUTE X_INTERFACE_INFO of dout_038_A: SIGNAL is "imperix.ch:ix:user_regs_rtl:1.0 dout  reg_76"; ATTRIBUTE X_INTERFACE_INFO of dout_038_B: SIGNAL is "imperix.ch:ix:user_regs_rtl:1.0 dout reg_77";
    ATTRIBUTE X_INTERFACE_INFO of dout_039_A: SIGNAL is "imperix.ch:ix:user_regs_rtl:1.0 dout  reg_78"; ATTRIBUTE X_INTERFACE_INFO of dout_039_B: SIGNAL is "imperix.ch:ix:user_regs_rtl:1.0 dout reg_79";
    ATTRIBUTE X_INTERFACE_INFO of dout_040_A: SIGNAL is "imperix.ch:ix:user_regs_rtl:1.0 dout  reg_80"; ATTRIBUTE X_INTERFACE_INFO of dout_040_B: SIGNAL is "imperix.ch:ix:user_regs_rtl:1.0 dout reg_81";
    ATTRIBUTE X_INTERFACE_INFO of dout_041_A: SIGNAL is "imperix.ch:ix:user_regs_rtl:1.0 dout  reg_82"; ATTRIBUTE X_INTERFACE_INFO of dout_041_B: SIGNAL is "imperix.ch:ix:user_regs_rtl:1.0 dout reg_83";
    ATTRIBUTE X_INTERFACE_INFO of dout_042_A: SIGNAL is "imperix.ch:ix:user_regs_rtl:1.0 dout  reg_84"; ATTRIBUTE X_INTERFACE_INFO of dout_042_B: SIGNAL is "imperix.ch:ix:user_regs_rtl:1.0 dout reg_85";
    ATTRIBUTE X_INTERFACE_INFO of dout_043_A: SIGNAL is "imperix.ch:ix:user_regs_rtl:1.0 dout  reg_86"; ATTRIBUTE X_INTERFACE_INFO of dout_043_B: SIGNAL is "imperix.ch:ix:user_regs_rtl:1.0 dout reg_87";
    ATTRIBUTE X_INTERFACE_INFO of dout_044_A: SIGNAL is "imperix.ch:ix:user_regs_rtl:1.0 dout  reg_88"; ATTRIBUTE X_INTERFACE_INFO of dout_044_B: SIGNAL is "imperix.ch:ix:user_regs_rtl:1.0 dout reg_89";
    ATTRIBUTE X_INTERFACE_INFO of dout_045_A: SIGNAL is "imperix.ch:ix:user_regs_rtl:1.0 dout  reg_90"; ATTRIBUTE X_INTERFACE_INFO of dout_045_B: SIGNAL is "imperix.ch:ix:user_regs_rtl:1.0 dout reg_91";
    ATTRIBUTE X_INTERFACE_INFO of dout_046_A: SIGNAL is "imperix.ch:ix:user_regs_rtl:1.0 dout  reg_92"; ATTRIBUTE X_INTERFACE_INFO of dout_046_B: SIGNAL is "imperix.ch:ix:user_regs_rtl:1.0 dout reg_93";
    ATTRIBUTE X_INTERFACE_INFO of dout_047_A: SIGNAL is "imperix.ch:ix:user_regs_rtl:1.0 dout  reg_94"; ATTRIBUTE X_INTERFACE_INFO of dout_047_B: SIGNAL is "imperix.ch:ix:user_regs_rtl:1.0 dout reg_95";
    ATTRIBUTE X_INTERFACE_INFO of dout_048_A: SIGNAL is "imperix.ch:ix:user_regs_rtl:1.0 dout  reg_96"; ATTRIBUTE X_INTERFACE_INFO of dout_048_B: SIGNAL is "imperix.ch:ix:user_regs_rtl:1.0 dout reg_97";
    ATTRIBUTE X_INTERFACE_INFO of dout_049_A: SIGNAL is "imperix.ch:ix:user_regs_rtl:1.0 dout  reg_98"; ATTRIBUTE X_INTERFACE_INFO of dout_049_B: SIGNAL is "imperix.ch:ix:user_regs_rtl:1.0 dout reg_99";
    ATTRIBUTE X_INTERFACE_INFO of dout_050_A: SIGNAL is "imperix.ch:ix:user_regs_rtl:1.0 dout reg_100"; ATTRIBUTE X_INTERFACE_INFO of dout_050_B: SIGNAL is "imperix.ch:ix:user_regs_rtl:1.0 dout reg_101";
    ATTRIBUTE X_INTERFACE_INFO of dout_051_A: SIGNAL is "imperix.ch:ix:user_regs_rtl:1.0 dout reg_102"; ATTRIBUTE X_INTERFACE_INFO of dout_051_B: SIGNAL is "imperix.ch:ix:user_regs_rtl:1.0 dout reg_103";
    ATTRIBUTE X_INTERFACE_INFO of dout_052_A: SIGNAL is "imperix.ch:ix:user_regs_rtl:1.0 dout reg_104"; ATTRIBUTE X_INTERFACE_INFO of dout_052_B: SIGNAL is "imperix.ch:ix:user_regs_rtl:1.0 dout reg_105";
    ATTRIBUTE X_INTERFACE_INFO of dout_053_A: SIGNAL is "imperix.ch:ix:user_regs_rtl:1.0 dout reg_106"; ATTRIBUTE X_INTERFACE_INFO of dout_053_B: SIGNAL is "imperix.ch:ix:user_regs_rtl:1.0 dout reg_107";
    ATTRIBUTE X_INTERFACE_INFO of dout_054_A: SIGNAL is "imperix.ch:ix:user_regs_rtl:1.0 dout reg_108"; ATTRIBUTE X_INTERFACE_INFO of dout_054_B: SIGNAL is "imperix.ch:ix:user_regs_rtl:1.0 dout reg_109";
    ATTRIBUTE X_INTERFACE_INFO of dout_055_A: SIGNAL is "imperix.ch:ix:user_regs_rtl:1.0 dout reg_110"; ATTRIBUTE X_INTERFACE_INFO of dout_055_B: SIGNAL is "imperix.ch:ix:user_regs_rtl:1.0 dout reg_111";
    ATTRIBUTE X_INTERFACE_INFO of dout_056_A: SIGNAL is "imperix.ch:ix:user_regs_rtl:1.0 dout reg_112"; ATTRIBUTE X_INTERFACE_INFO of dout_056_B: SIGNAL is "imperix.ch:ix:user_regs_rtl:1.0 dout reg_113";
    ATTRIBUTE X_INTERFACE_INFO of dout_057_A: SIGNAL is "imperix.ch:ix:user_regs_rtl:1.0 dout reg_114"; ATTRIBUTE X_INTERFACE_INFO of dout_057_B: SIGNAL is "imperix.ch:ix:user_regs_rtl:1.0 dout reg_115";
    ATTRIBUTE X_INTERFACE_INFO of dout_058_A: SIGNAL is "imperix.ch:ix:user_regs_rtl:1.0 dout reg_116"; ATTRIBUTE X_INTERFACE_INFO of dout_058_B: SIGNAL is "imperix.ch:ix:user_regs_rtl:1.0 dout reg_117";
    ATTRIBUTE X_INTERFACE_INFO of dout_059_A: SIGNAL is "imperix.ch:ix:user_regs_rtl:1.0 dout reg_118"; ATTRIBUTE X_INTERFACE_INFO of dout_059_B: SIGNAL is "imperix.ch:ix:user_regs_rtl:1.0 dout reg_119";
    ATTRIBUTE X_INTERFACE_INFO of dout_060_A: SIGNAL is "imperix.ch:ix:user_regs_rtl:1.0 dout reg_120"; ATTRIBUTE X_INTERFACE_INFO of dout_060_B: SIGNAL is "imperix.ch:ix:user_regs_rtl:1.0 dout reg_121";
    ATTRIBUTE X_INTERFACE_INFO of dout_061_A: SIGNAL is "imperix.ch:ix:user_regs_rtl:1.0 dout reg_122"; ATTRIBUTE X_INTERFACE_INFO of dout_061_B: SIGNAL is "imperix.ch:ix:user_regs_rtl:1.0 dout reg_123";
    ATTRIBUTE X_INTERFACE_INFO of dout_062_A: SIGNAL is "imperix.ch:ix:user_regs_rtl:1.0 dout reg_124"; ATTRIBUTE X_INTERFACE_INFO of dout_062_B: SIGNAL is "imperix.ch:ix:user_regs_rtl:1.0 dout reg_125";
    ATTRIBUTE X_INTERFACE_INFO of dout_063_A: SIGNAL is "imperix.ch:ix:user_regs_rtl:1.0 dout reg_126"; ATTRIBUTE X_INTERFACE_INFO of dout_063_B: SIGNAL is "imperix.ch:ix:user_regs_rtl:1.0 dout reg_127";
    ATTRIBUTE X_INTERFACE_INFO of dout_064_A: SIGNAL is "imperix.ch:ix:user_regs_rtl:1.0 dout reg_128"; ATTRIBUTE X_INTERFACE_INFO of dout_064_B: SIGNAL is "imperix.ch:ix:user_regs_rtl:1.0 dout reg_129";
    ATTRIBUTE X_INTERFACE_INFO of dout_065_A: SIGNAL is "imperix.ch:ix:user_regs_rtl:1.0 dout reg_130"; ATTRIBUTE X_INTERFACE_INFO of dout_065_B: SIGNAL is "imperix.ch:ix:user_regs_rtl:1.0 dout reg_131";

begin

    dout_000_A <= din_000(15 downto 0); dout_000_B <= din_000(31 downto 16);
    dout_001_A <= din_001(15 downto 0); dout_001_B <= din_001(31 downto 16);
    dout_002_A <= din_002(15 downto 0); dout_002_B <= din_002(31 downto 16);
    dout_003_A <= din_003(15 downto 0); dout_003_B <= din_003(31 downto 16);
    dout_004_A <= din_004(15 downto 0); dout_004_B <= din_004(31 downto 16);
    dout_005_A <= din_005(15 downto 0); dout_005_B <= din_005(31 downto 16);
    dout_006_A <= din_006(15 downto 0); dout_006_B <= din_006(31 downto 16);
    dout_007_A <= din_007(15 downto 0); dout_007_B <= din_007(31 downto 16);
    dout_008_A <= din_008(15 downto 0); dout_008_B <= din_008(31 downto 16);
    dout_009_A <= din_009(15 downto 0); dout_009_B <= din_009(31 downto 16);
    dout_010_A <= din_010(15 downto 0); dout_010_B <= din_010(31 downto 16);
    dout_011_A <= din_011(15 downto 0); dout_011_B <= din_011(31 downto 16);
    dout_012_A <= din_012(15 downto 0); dout_012_B <= din_012(31 downto 16);
    dout_013_A <= din_013(15 downto 0); dout_013_B <= din_013(31 downto 16);
    dout_014_A <= din_014(15 downto 0); dout_014_B <= din_014(31 downto 16);
    dout_015_A <= din_015(15 downto 0); dout_015_B <= din_015(31 downto 16);
    dout_016_A <= din_016(15 downto 0); dout_016_B <= din_016(31 downto 16);
    dout_017_A <= din_017(15 downto 0); dout_017_B <= din_017(31 downto 16);
    dout_018_A <= din_018(15 downto 0); dout_018_B <= din_018(31 downto 16);
    dout_019_A <= din_019(15 downto 0); dout_019_B <= din_019(31 downto 16);
    dout_020_A <= din_020(15 downto 0); dout_020_B <= din_020(31 downto 16);
    dout_021_A <= din_021(15 downto 0); dout_021_B <= din_021(31 downto 16);
    dout_022_A <= din_022(15 downto 0); dout_022_B <= din_022(31 downto 16);
    dout_023_A <= din_023(15 downto 0); dout_023_B <= din_023(31 downto 16);
    dout_024_A <= din_024(15 downto 0); dout_024_B <= din_024(31 downto 16);
    dout_025_A <= din_025(15 downto 0); dout_025_B <= din_025(31 downto 16);
    dout_026_A <= din_026(15 downto 0); dout_026_B <= din_026(31 downto 16);
    dout_027_A <= din_027(15 downto 0); dout_027_B <= din_027(31 downto 16);
    dout_028_A <= din_028(15 downto 0); dout_028_B <= din_028(31 downto 16);
    dout_029_A <= din_029(15 downto 0); dout_029_B <= din_029(31 downto 16);
    dout_030_A <= din_030(15 downto 0); dout_030_B <= din_030(31 downto 16);
    dout_031_A <= din_031(15 downto 0); dout_031_B <= din_031(31 downto 16);
    dout_032_A <= din_032(15 downto 0); dout_032_B <= din_032(31 downto 16);
    dout_033_A <= din_033(15 downto 0); dout_033_B <= din_033(31 downto 16);
    dout_034_A <= din_034(15 downto 0); dout_034_B <= din_034(31 downto 16);
    dout_035_A <= din_035(15 downto 0); dout_035_B <= din_035(31 downto 16);
    dout_036_A <= din_036(15 downto 0); dout_036_B <= din_036(31 downto 16);
    dout_037_A <= din_037(15 downto 0); dout_037_B <= din_037(31 downto 16);
    dout_038_A <= din_038(15 downto 0); dout_038_B <= din_038(31 downto 16);
    dout_039_A <= din_039(15 downto 0); dout_039_B <= din_039(31 downto 16);
    dout_040_A <= din_040(15 downto 0); dout_040_B <= din_040(31 downto 16);
    dout_041_A <= din_041(15 downto 0); dout_041_B <= din_041(31 downto 16);
    dout_042_A <= din_042(15 downto 0); dout_042_B <= din_042(31 downto 16);
    dout_043_A <= din_043(15 downto 0); dout_043_B <= din_043(31 downto 16);
    dout_044_A <= din_044(15 downto 0); dout_044_B <= din_044(31 downto 16);
    dout_045_A <= din_045(15 downto 0); dout_045_B <= din_045(31 downto 16);
    dout_046_A <= din_046(15 downto 0); dout_046_B <= din_046(31 downto 16);
    dout_047_A <= din_047(15 downto 0); dout_047_B <= din_047(31 downto 16);
    dout_048_A <= din_048(15 downto 0); dout_048_B <= din_048(31 downto 16);
    dout_049_A <= din_049(15 downto 0); dout_049_B <= din_049(31 downto 16);
    dout_050_A <= din_050(15 downto 0); dout_050_B <= din_050(31 downto 16);
    dout_051_A <= din_051(15 downto 0); dout_051_B <= din_051(31 downto 16);
    dout_052_A <= din_052(15 downto 0); dout_052_B <= din_052(31 downto 16);
    dout_053_A <= din_053(15 downto 0); dout_053_B <= din_053(31 downto 16);
    dout_054_A <= din_054(15 downto 0); dout_054_B <= din_054(31 downto 16);
    dout_055_A <= din_055(15 downto 0); dout_055_B <= din_055(31 downto 16);
    dout_056_A <= din_056(15 downto 0); dout_056_B <= din_056(31 downto 16);
    dout_057_A <= din_057(15 downto 0); dout_057_B <= din_057(31 downto 16);
    dout_058_A <= din_058(15 downto 0); dout_058_B <= din_058(31 downto 16);
    dout_059_A <= din_059(15 downto 0); dout_059_B <= din_059(31 downto 16);
    dout_060_A <= din_060(15 downto 0); dout_060_B <= din_060(31 downto 16);
    dout_061_A <= din_061(15 downto 0); dout_061_B <= din_061(31 downto 16);
    dout_062_A <= din_062(15 downto 0); dout_062_B <= din_062(31 downto 16);
    dout_063_A <= din_063(15 downto 0); dout_063_B <= din_063(31 downto 16);
    dout_064_A <= din_064(15 downto 0); dout_064_B <= din_064(31 downto 16);
    dout_065_A <= din_065(15 downto 0); dout_065_B <= din_065(31 downto 16);

end Behavioral;
